> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pacifica.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Stop Order

> This endpoint allows users to cancel a stop order by its (CL)OID.

```http theme={null}
POST /api/v1/orders/stop/cancel
```

#### Operation Type (for Signing)

| Header Field | Type   | Content               |
| ------------ | ------ | --------------------- |
| `"type"`     | string | `"cancel_stop_order"` |

#### Request Body

<table><thead><tr><th width="188">Field</th><th width="98">Type</th><th width="95">Need</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td><code>"account"</code></td><td>string</td><td>required</td><td>User's wallet address</td><td><code>42trU9A5...</code></td></tr><tr><td><code>"signature"</code></td><td>string</td><td>required</td><td>Cryptographic signature</td><td><code>5j1Vy9Uq...</code></td></tr><tr><td><code>"timestamp"</code></td><td>integer</td><td>required</td><td>Current timestamp in milliseconds</td><td><code>1716200000000</code></td></tr><tr><td><code>"symbol"</code></td><td>string</td><td>required</td><td>Trading pair symbol</td><td><code>BTC</code></td></tr><tr><td><code>"order\_id"</code></td><td>integer</td><td>required (if no CLOID)</td><td>Exchange-assigned order ID</td><td><code>123</code></td></tr><tr><td><code>"client\_order\_id"</code></td><td>Full UUID string</td><td>required (if no OID)</td><td>Client-defined order ID</td><td><code>f47ac10b-58cc-4372-a567-0e02b2c3d479</code></td></tr><tr><td><code>"agent\_wallet"</code></td><td>string</td><td>optional</td><td>Agent wallet address</td><td><code>69trU9A5...</code></td></tr><tr><td><code>"expiry\_window"</code></td><td>integer</td><td>optional</td><td>Signature expiry in milliseconds</td><td><code>30000</code></td></tr></tbody></table>

```json theme={null}
{
  "account": "42trU9A5...",
  "signature": "5j1Vy9Uq...",
  "timestamp": 1716200000000,
  "symbol": "BTC",
  "order_id": 123,
  "agent_wallet": "69trU9A5...",
  "expiry_window": 30000
}
```

#### Response

* Status 200: Stop order cancelled successfully

```json theme={null}
  {
    "success": true
  }
```

* Status 400: Bad request

```json theme={null}
  {
    "error": "Stop order not found",
    "code": 400
  }
```

* Status 500: Internal server error

#### Code Example (Python)

```python theme={null}
import requests

payload = {
    "account": "42trU9A5...",
    "signature": "5j1Vy9Uq...",
    "timestamp": 1716200000000,
    "symbol": "BTC",
    "order_id": 123
}

response = requests.post(
    "/api/v1/orders/stop/cancel",
    json=payload,
    headers={"Content-Type": "application/json"}
)

data = response.json()
```
